SDK Apps
Retrieves a collection of all apps available to the authenticated user.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
If set to true, this parameter returns apps available to all users. If set to false, it retrieves the apps available to the authenticated user.
Successful response
GET /api/v2/sdk/apps HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"apps": [
{
"name": "custom-app-1",
"label": "Ding",
"version": 1,
"beta": true
},
{
"name": "model",
"label": "MODEL",
"version": 1,
"beta": false
},
{
"name": "postman-test-app-1",
"label": "Postman Test App",
"version": 1,
"beta": true
},
{
"name": "postman-test-app-2-1",
"label": "Postman Test App",
"version": 1,
"beta": true
},
{
"name": "postman-test-app-3-1",
"label": "Postman Test App",
"version": 1,
"beta": true
},
{
"name": "postman-test-app-4-1",
"label": "Postman Test App",
"version": 1,
"beta": true
},
{
"name": "postman-test-app-5-1",
"label": "Postman Test App",
"version": 1,
"beta": true
},
{
"name": "testovaci-lokalni-appka-1",
"label": "Testovacà Lokálnà Appka",
"version": 1,
"beta": false
}
]
}Creates a new app with data passed in the request body. In the response, it returns all details of the created app.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
POST /api/v2/sdk/apps HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 232
{
"app": {
"name": "text",
"label": "text",
"description": "text",
"version": 1,
"beta": true,
"theme": "text",
"language": "text",
"public": true,
"approved": true,
"global": true,
"countries": [],
"created": "2026-01-01T00:00:00.000Z",
"manifestVersion": 1
}
}Successful response
{
"app": {
"name": "text",
"label": "text",
"version": 1,
"theme": "text",
"public": true,
"approved": true
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"app": {
"name": "postman-test-app-1",
"label": "Postman Test App",
"description": "This is a testing app from Postman",
"version": 1,
"versionFull": "1.0.0",
"beta": true,
"theme": "#ff00ff",
"language": "en",
"public": false,
"approved": false,
"opensource": false,
"global": true,
"countries": [],
"created": "2019-12-18T11:55:31.655Z",
"manifestVersion": 2,
"changes": [],
"compile": false,
"compiledName": null,
"compilationError": null,
"inReview": false,
"inviteToken": "token",
"ipmRepo": "https://ipm.make.com",
"origin": "eu2.make.com"
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
DELETE /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"app": "postman-test-app-1"
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
PATCH /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 144
{
"audience": "countries",
"description": "Hey there, Charlie!",
"countries": [
"us",
"uk",
"cz"
],
"label": "Multiverse",
"theme": "#AABBCC",
"language": "en"
}Successful response
{
"app": {
"name": "beta-13-3",
"label": "Multiverse",
"description": "Hey there, Charlie!",
"version": 1,
"theme": "#aabbcc",
"public": false,
"approved": false
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"newName": "beta-1",
"newVersion": 2
}Successful response
{
"app": {
"name": "postman-test-app-1",
"label": "Postman Test App",
"description": "This is a testing app from Postman",
"version": 1,
"beta": true,
"theme": "#ff00ff",
"language": "en",
"public": false,
"approved": false,
"global": true,
"countries": null,
"created": "2019-12-18T11:55:31.655Z",
"manifestVersion": 2
}
}Clones the app to the next major version with the same app name. Requires the "allow_apps" feature flag to be enabled.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/clone-major HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"app": {
"name": "postman-test-app-1",
"label": "Postman Test App",
"version": 2,
"theme": "#ff00ff",
"public": false,
"approved": false
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/review HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"review": {
"contactName": "admin",
"contactEmail": "admin@make.cloud",
"reviewerName": null,
"reviewerEmail": null,
"codeStatus": null,
"testStatus": null,
"docsStatus": null
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
trueapplication/jsonSuccessful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/review HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"requested": true
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/review/form HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"testingScenarios": {
"hohoho": "https://www.santa.com"
}
}Successful response
{
"form": {
"testingScenarios": {
"hohoho": "https://www.santa.com"
}
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/events-log HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"events": [
{
"id": 2,
"appName": "webhook-zmetek",
"appVersion": 1,
"message": "Approval requested.",
"detail": {},
"authorId": 1,
"createdAt": "2021-03-01T13:07:20.852Z"
},
{
"id": 1,
"appName": "webhook-zmetek",
"appVersion": 1,
"message": "App has been published.",
"detail": {},
"authorId": 1,
"createdAt": "2021-03-01T12:36:52.837Z"
}
]
}Get app client id and client secret.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The numeric version of the app.
The numeric version of the app.
1Successful response
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/common HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"clientId": 123456,
"clientSecret": "secret"
}Sets the common data for the app based on the parameters passed in the request body. In the response, it returns all details of common data. Common data usually contain sensitive information like API keys or API secrets and these details are shared across all modules.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
The name of the app.
The app version.
The JSON object containing the common data.
Successful response
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/common HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 43
{
"clientId": 123456,
"clientSecret": "secret"
}Successful response
{
"changed": true
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
trueSuccessful response
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
# Hey ThereAuthorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
truetext/markdownI see you.Successful response
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/readme HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: text/markdown
Accept: */*
Content-Length: 12
"I see you."Successful response
{
"changed": true
}Set app base configuration.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
application/jsoncSuccessful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/base HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 1431
{
"url": "text",
"baseUrl": "text",
"encodeUrl": true,
"method": "GET",
"headers": {
"ANY_ADDITIONAL_PROPERTY": true
},
"qs": {
"ANY_ADDITIONAL_PROPERTY": true
},
"ca": "text",
"body": {},
"type": "json",
"temp": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"condition": true,
"aws": {
"key": "text",
"secret": "text",
"session": "text",
"bucket": "text",
"sign_version": "2"
},
"gzip": false,
"followRedirects": true,
"followAllRedirects": true,
"log": {
"sanitize": [
"text"
]
},
"oauth": {
"consumer_key": "text",
"consumer_secret": "text",
"private_key": "text",
"token": "text",
"token_secret": "text",
"verifier": "text",
"signature_method": "HMAC-SHA1",
"transport_method": "header",
"body_hash": true
},
"pagination": {
"mergeWithParent": true,
"url": "text",
"method": "GET",
"headers": {
"ANY_ADDITIONAL_PROPERTY": true
},
"qs": {
"ANY_ADDITIONAL_PROPERTY": true
},
"body": {},
"condition": true
},
"response": {
"type": {
"ANY_ADDITIONAL_PROPERTY": "automatic"
},
"valid": true,
"limit": 1,
"error": "text",
"iterate": "text",
"temp": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"output": {},
"trigger": {
"type": "date",
"order": "asc",
"id": "text",
"date": "text"
},
"data": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"metadata": {
"value": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"uid": "text",
"oauth": {
"consumer_key": "text",
"consumer_secret": "text",
"private_key": "text",
"token": "text",
"token_secret": "text",
"verifier": "text",
"signature_method": "HMAC-SHA1",
"transport_method": "header",
"body_hash": true
},
"wrapper": "{{output}}",
"expires": "text"
}
}Successful response
{
"change": {}
}Patch app base configuration.
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
application/jsoncSuccessful response
PATCH /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/base HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 1431
{
"url": "text",
"baseUrl": "text",
"encodeUrl": true,
"method": "GET",
"headers": {
"ANY_ADDITIONAL_PROPERTY": true
},
"qs": {
"ANY_ADDITIONAL_PROPERTY": true
},
"ca": "text",
"body": {},
"type": "json",
"temp": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"condition": true,
"aws": {
"key": "text",
"secret": "text",
"session": "text",
"bucket": "text",
"sign_version": "2"
},
"gzip": false,
"followRedirects": true,
"followAllRedirects": true,
"log": {
"sanitize": [
"text"
]
},
"oauth": {
"consumer_key": "text",
"consumer_secret": "text",
"private_key": "text",
"token": "text",
"token_secret": "text",
"verifier": "text",
"signature_method": "HMAC-SHA1",
"transport_method": "header",
"body_hash": true
},
"pagination": {
"mergeWithParent": true,
"url": "text",
"method": "GET",
"headers": {
"ANY_ADDITIONAL_PROPERTY": true
},
"qs": {
"ANY_ADDITIONAL_PROPERTY": true
},
"body": {},
"condition": true
},
"response": {
"type": {
"ANY_ADDITIONAL_PROPERTY": "automatic"
},
"valid": true,
"limit": 1,
"error": "text",
"iterate": "text",
"temp": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"output": {},
"trigger": {
"type": "date",
"order": "asc",
"id": "text",
"date": "text"
},
"data": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"metadata": {
"value": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"uid": "text",
"oauth": {
"consumer_key": "text",
"consumer_secret": "text",
"private_key": "text",
"token": "text",
"token_secret": "text",
"verifier": "text",
"signature_method": "HMAC-SHA1",
"transport_method": "header",
"body_hash": true
},
"wrapper": "{{output}}",
"expires": "text"
}
}Successful response
{
"change": {}
}Available sections: base, groups, install, installSpec
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/groups HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 37
[
{
"label": "text",
"modules": [
"text"
]
}
]Successful response
{
"change": {}
}Available sections: base, groups, install, installSpec
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/install HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Successful response
{
"change": {}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/{SDK_appVisibility} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"public": true,
"inviteToken": "token"
}beta, stable
Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
text/plainSuccessful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/opensource HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"changed": true
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/closedsource HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"changed": true
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/changes/{SDK_changeId} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
{
"change": {
"id": 5,
"group": "text",
"code": "text",
"oldValue": "text",
"newValue": "text"
}
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
application/jsonSuccessful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/commit HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 65
{
"message": "Just a small tweak",
"notify": false,
"changeIds": [
1,
2
]
}Successful response
trueAuthorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
application/jsonSuccessful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/rollback HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"changeIds": [
1,
2
]
}Successful response
{
"rolledBack": true
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
GET /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/icon/{SDK_appIconSize} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
Successful response
binaryAuthorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
PUT /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/icon HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: image/png
Accept: */*
Content-Length: 8
"binary"Successful response
{
"changed": true
}Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.
If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.
Successful response
POST /api/v2/sdk/apps/{SDK_appName}/{SDK_appVersion}/uninstall HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Content-Type: application/json
Accept: */*
Content-Length: 20
{
"organizationId": 1
}Successful response
[
{
"name": "text",
"label": "text",
"appVersion": 1,
"organizationId": 1,
"installedAt": "2026-01-01T00:00:00.000Z",
"userId": "text",
"theme": "text"
}
]Last updated

